UbixOS V2 2.0

Macros | Functions | Variables
memp_std.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | LWIP_MALLOC_MEMPOOL(num, size) LWIP_MEMPOOL(POOL_##size, num, (size + LWIP_MEM_ALIGN_SIZE(sizeof(struct memp_malloc_helper))), "MALLOC_"#size)
#define | LWIP_MALLOC_MEMPOOL_END
#define | LWIP_MALLOC_MEMPOOL_START
#define | LWIP_PBUF_MEMPOOL(name, num, payload, desc) LWIP_MEMPOOL(name, num, (MEMP_ALIGN_SIZE(sizeof(struct pbuf)) + MEMP_ALIGN_SIZE(payload)), desc)

## Functions
| LWIP_MEMPOOL (PBUF, MEMP_NUM_PBUF,(MEMP_ALIGN_SIZE(sizeof(struct pbuf))+MEMP_ALIGN_SIZE(0)), "PBUF_REF/ROM") LWIP_MEMPOOL(PBUF_POOL
| MEMP_ALIGN_SIZE (sizeof(struct pbuf))+MEMP_ALIGN_SIZE(PBUF_POOL_BUFSIZE))

## Variables
| PBUF_POOL_SIZE

## Detailed Description

lwIP internal memory pools (do not use in application code) This file is deliberately included multiple times: once with empty definition of LWIP_MEMPOOL() to handle all includes and multiple times to build up various lists of mem pools.

Definition in file memp_std.h.

## Macro Definition Documentation

## ◆ LWIP_MALLOC_MEMPOOL

#define LWIP_MALLOC_MEMPOOL | ( |  | num,
|  |  | size
| ) |  | LWIP_MEMPOOL(POOL_##size, num, (size + LWIP_MEM_ALIGN_SIZE(sizeof(struct memp_malloc_helper))), "MALLOC_"#size)

Definition at line 23 of file memp_std.h.

## ◆ LWIP_MALLOC_MEMPOOL_END

#define LWIP_MALLOC_MEMPOOL_END

Definition at line 25 of file memp_std.h.

## ◆ LWIP_MALLOC_MEMPOOL_START

#define LWIP_MALLOC_MEMPOOL_START

Definition at line 24 of file memp_std.h.

## ◆ LWIP_PBUF_MEMPOOL

#define LWIP_PBUF_MEMPOOL | ( |  | name,
|  |  | num,
|  |  | payload,
|  |  | desc
| ) |  | LWIP_MEMPOOL(name, num, (MEMP_ALIGN_SIZE(sizeof(struct pbuf)) + MEMP_ALIGN_SIZE(payload)), desc)

Definition at line 31 of file memp_std.h.

## Function Documentation

## ◆ LWIP_MEMPOOL()

LWIP_MEMPOOL | ( | PBUF | ,
|  | MEMP_NUM_PBUF | ,
|  | (MEMP_ALIGN_SIZE(sizeof(struct pbuf))+MEMP_ALIGN_SIZE(0)) | ,
|  | "PBUF_REF/ROM" |
| ) |  |

## ◆ MEMP_ALIGN_SIZE()

MEMP_ALIGN_SIZE | ( | sizeof(struct pbuf) |  | ) |

## Variable Documentation

## ◆ PBUF_POOL_SIZE

PBUF_POOL_SIZE

Definition at line 127 of file memp_std.h.